Index: LMDZ5/trunk/libf/phylmd/radiation_ar4_param.F90
===================================================================
--- LMDZ5/trunk/libf/phylmd/radiation_ar4_param.F90	(revision 1907)
+++ LMDZ5/trunk/libf/phylmd/radiation_ar4_param.F90	(revision 1933)
@@ -1,17 +1,17 @@
 MODULE radiation_ar4_param
 
- REAL*8, parameter :: ZPDH2O = 0.8
- REAL*8, parameter :: ZPDUMG = 0.75
- REAL*8, parameter :: ZPRH2O = 30000.0
- REAL*8, parameter :: ZPRUMG = 30000.0
- REAL*8, parameter :: RTDH2O = 0.40
- REAL*8, parameter :: RTDUMG = 0.375
- REAL*8, parameter :: RTH2O = 240.0
- REAL*8, parameter :: RTUMG = 240.0
-
- REAL*8, dimension(2), parameter :: WG1 = (/1.0, 1.0/)
- REAL*8, dimension(11), parameter :: TINTP = (/ 187.5, 200., 212.5, 225., 237.5, 250., 262.5, 275., 287.5, 300., 312.5 /)
-
- real*8, dimension(11,16,3), parameter :: GA = reshape ( (/                                                                &
+ REAL(KIND=8), parameter :: ZPDH2O = 0.8
+ REAL(KIND=8), parameter :: ZPDUMG = 0.75
+ REAL(KIND=8), parameter :: ZPRH2O = 30000.0
+ REAL(KIND=8), parameter :: ZPRUMG = 30000.0
+ REAL(KIND=8), parameter :: RTDH2O = 0.40
+ REAL(KIND=8), parameter :: RTDUMG = 0.375
+ REAL(KIND=8), parameter :: RTH2O = 240.0
+ REAL(KIND=8), parameter :: RTUMG = 240.0
+
+ REAL(KIND=8), dimension(2), parameter :: WG1 = (/1.0, 1.0/)
+ REAL(KIND=8), dimension(11), parameter :: TINTP = (/ 187.5, 200., 212.5, 225., 237.5, 250., 262.5, 275., 287.5, 300., 312.5 /)
+
+ real(kind=8), dimension(11,16,3), parameter :: GA = reshape ( (/ &
  0.63499072E-02, 0.65566348E-02, 0.67849730E-02, 0.70481947E-02, 0.73585943E-02, 0.77242818E-02, 0.81472693E-02, 0.86227527E-02,&
  0.91396814E-02, 0.96825438E-02, 0.10233955E-01, 0.77266491E-02, 0.81323287E-02, 0.86507620E-02, 0.92776391E-02, 0.99806312E-02,&
@@ -82,5 +82,5 @@
  , (/ 11,16,3 /) )
 
- real*8, dimension(11,16,3), parameter :: GB = reshape ( (/                                                                     &
+ real(kind=8), dimension(11,16,3), parameter :: GB = reshape ( (/ &
  0.63499072E-02, 0.65566348E-02, 0.67849730E-02, 0.70481947E-02, 0.73585943E-02, 0.77242818E-02, 0.81472693E-02, 0.86227527E-02,&
  0.91396814E-02, 0.96825438E-02, 0.10233955E-01, 0.77266491E-02, 0.81323287E-02, 0.86507620E-02, 0.92776391E-02, 0.99806312E-02,&
@@ -151,5 +151,5 @@
   , (/ 11,16,3 /) )
 
-      real*8, dimension(6,6), parameter :: XP = reshape ( (/  &
+      real(kind=8), dimension(6,6), parameter :: XP = reshape ( (/  &
       0.46430621E+02,  0.12928299E+03,  0.20732648E+03,  0.31398411E+03,  0.18373177E+03, -0.11412303E+03, &
       0.73604774E+02,  0.27887914E+03,  0.27076947E+03, -0.57322111E+02, -0.64742459E+02,  0.87238280E+02, &
@@ -160,6 +160,6 @@
 
 ! If running with Reporbus type_trac=repr, values of RSUN might be overritten in radiation_AR4
-      REAL*8, dimension(2) :: RSUN = (/ 0.441676 , 0.558324 /)
-      REAL*8, dimension(2,6), parameter :: RRAY = reshape ( &
+      REAL(KIND=8), dimension(2) :: RSUN = (/ 0.441676 , 0.558324 /)
+      REAL(KIND=8), dimension(2,6), parameter :: RRAY = reshape ( &
          (/ .428937E-01, .697200E-02,&
             .890743E+00, .173297E-01,&
@@ -169,15 +169,15 @@
             .161645E+01, .129662E+00 /) , (/2,6/) )
 
-      REAL*8, dimension(2,5), parameter :: TAUA = reshape ( &
+      REAL(KIND=8), dimension(2,5), parameter :: TAUA = reshape ( &
       (/ 0.730719, 0.730719, 0.912819, 0.912819, 0.725059, &
          0.725059, 0.745405, 0.745405, 0.682188, 0.682188 /),(/2,5/) )
-      REAL*8, dimension(2,5), parameter :: RPIZA = reshape ( &
+      REAL(KIND=8), dimension(2,5), parameter :: RPIZA = reshape ( &
       (/ 0.872212, 0.872212, 0.982545, 0.982545, 0.623143,   &
          0.623143, 0.944887, 0.944887, 0.997975, 0.997975 /),(/2,5/) )
-      REAL*8, dimension(2,5), parameter :: RCGA = reshape (  &
+      REAL(KIND=8), dimension(2,5), parameter :: RCGA = reshape (  &
       (/ 0.647596, 0.647596, 0.739002, 0.739002, 0.580845,   &
          0.580845, 0.662657, 0.662657, 0.624246, 0.624246 /),(/2,5/) )
 
-      REAL*8, dimension(2,3,7), parameter :: APAD = reshape (  &
+      REAL(KIND=8), dimension(2,3,7), parameter :: APAD = reshape (  &
           (/ 0.912418292E+05, 0.376655383E-08, 0.000000000E-00,&
              0.739646016E-08, 0.925887084E-04, 0.410177786E+03,&
@@ -194,5 +194,5 @@
              0.000000000E-00, 0.000000000E+00, 0.000000000E-00,&
              0.000000000E+00, 0.000000000E+00, 0.000000000E+00 /) , (/2,3,7/) )
-      REAL*8, dimension(2,3,7), parameter :: BPAD = reshape (  &
+      REAL(KIND=8), dimension(2,3,7), parameter :: BPAD = reshape (  &
           (/ 0.912418292E+05, 0.376655383E-08, 0.000000000E-00,&
              0.739646016E-08, 0.925887084E-04, 0.410177786E+03,&
@@ -209,10 +209,10 @@
              0.000000000E-00, 0.100000000E+01, 0.000000000E-00,&
              0.100000000E+01, 0.100000000E+01, 0.000000000E+00 /) , (/2,3,7/) )
-      REAL*8, dimension(2,3), parameter :: D = reshape ( &
+      REAL(KIND=8), dimension(2,3), parameter :: D = reshape ( &
        (/ 0.0, 0.0, 0.0, 0.0, 0.0, 0.8 /) , (/2,3/) )
 
-      REAL*8, parameter :: TREF = 250.0
-      REAL*8, dimension(2), parameter :: RT1 = (/ -0.577350269, +0.577350269 /)
-      REAL*8, dimension(5,5), parameter :: RAER= reshape ( &
+      REAL(KIND=8), parameter :: TREF = 250.0
+      REAL(KIND=8), dimension(2), parameter :: RT1 = (/ -0.577350269, +0.577350269 /)
+      REAL(KIND=8), dimension(5,5), parameter :: RAER= reshape ( &
         (/ .038520, .037196, .040532, .054934, .038520 &
          , .12613 , .18313 , .10357 , .064106, .126130 &
@@ -221,5 +221,5 @@
          , .013792, .026810, .052203, .066338, .013792 /) , (/5,5/) )
 
-      REAL*8, dimension(8,3), parameter :: AT= reshape ( &
+      REAL(KIND=8), dimension(8,3), parameter :: AT= reshape ( &
        (/ 0.298199E-02,0.143676E-01,0.197861E-01,0.289560E-01,&
           0.103800E-01,0.868859E-02,0.250073E-03,0.307423E-01,&
@@ -229,5 +229,5 @@
           -.161431E-02,0.000000E-00,0.109242E-03,-.322172E-03 /) , (/8,3/) )
 
-      REAL*8, dimension(8,3), parameter :: BT= reshape ( &
+      REAL(KIND=8), dimension(8,3), parameter :: BT= reshape ( &
        (/ -0.106432E-04,-0.553979E-04,-0.877012E-04,-0.165960E-03,&
           -0.276744E-04,-0.278412E-04, 0.199846E-05,-0.108482E-03,&
@@ -237,5 +237,5 @@
            0.127646E-04 ,0.117469E-05, 0.175991E-06,-0.814575E-06 /) , (/8,3/) )
 
-      REAL*8, dimension(4), parameter :: OCT = (/ -.326E-03, -.102E-05, .137E-02, -.535E-05 /)
+      REAL(KIND=8), dimension(4), parameter :: OCT = (/ -.326E-03, -.102E-05, .137E-02, -.535E-05 /)
 
  end module radiation_AR4_param