Index: /LMDZ5/trunk/bld.cfg
===================================================================
--- /LMDZ5/trunk/bld.cfg	(revision 1989)
+++ /LMDZ5/trunk/bld.cfg	(revision 1990)
@@ -25,4 +25,5 @@
 src::phys    %SRC_PATH/%PHYS
 #src::sisvat  %SRC_PATH/%PHYS/sisvat
+#src::rrtm  %SRC_PATH/%PHYS/rrtm
 src::grid    %SRC_PATH/grid
 src::filtrez %SRC_PATH/filtrez
Index: /LMDZ5/trunk/create_make_gcm
===================================================================
--- /LMDZ5/trunk/create_make_gcm	(revision 1989)
+++ /LMDZ5/trunk/create_make_gcm	(revision 1990)
@@ -5,9 +5,10 @@
 #set -xv
 
-rm -f create_make_gcm.log
 
 machine=`hostname`
 os=`uname`
 gcm=`pwd`
+logfile=$gcm/create_make_gcm.log
+rm -f $logfile ; touch -f $logfile
 libf=$gcm/libf
 libo=$gcm/libo
@@ -144,5 +145,5 @@
       done
       echo
-      echo $listlib >> create_makeg_gcm.log
+      echo $listlib >> $logfile
       echo
       echo "#=================================================================="
@@ -178,5 +179,5 @@
 
          for stri in ` ( sed -e '/^[cC\!]/d' $trufile | sed -e "/\#include /s/\#include /XXnclude /" -e "/include /s/include /XXnclude /" -e "/INCLUDE /s/INCLUDE /XXnclude /" | sed -n "/XXnclude /s/XXnclude//p" | sed 's/\"//g' | sort | uniq ; sed -e '/^[cC\!]/d' $trufile | egrep -i '^ *use ' | sed -e 's/,/ /' | awk ' { print $2 } ' | sort | uniq ) ` ; do
-            echo $trufile $fili $stri >> create_make_gcm.log
+            echo $trufile $fili $stri >> $logfile
             strj=`echo $stri | tr [A-Z] [a-z]`
             str2=""
@@ -191,4 +192,5 @@
                    libstr=$dirinc
                fi
+               echo dirinc $dirinc >> $logfile
                if [ -f $dirinc/$stri ] ; then
                   str2='$(LIBF)/'$dirstr/$stri
@@ -202,9 +204,12 @@
                   str2='$(LIBO)/lib'$strlib'.a('$stri'.o)'
                fi
+               echo stri $stri  >> $logfile
+               echo str2 $str2  >> $logfile
             done
+               echo dernier str2 $str2  >> $logfile
             if [ "$str2" = "" ] ; then
-               echo Warn: Include $diri $trufile $fili $stri pas trouve >> $gcm/create_make_gcm.log
+               echo Warn: Include $diri $trufile $fili $stri pas trouve >> $logfile
             elif [ "$str2" = "$str1" ] ; then
-               echo Warn: Include $diri $trufile $fili $stri $str1 trouve 2x >> $gcm/create_make_gcm.log
+               echo Warn: Include $diri $trufile $fili $stri $str1 trouve 2x >> $logfile
             else
                echo $str1 \\
Index: /LMDZ5/trunk/libf/phylmd/rrtm/yomcst.F90
===================================================================
--- /LMDZ5/trunk/libf/phylmd/rrtm/yomcst.F90	(revision 1989)
+++ /LMDZ5/trunk/libf/phylmd/rrtm/yomcst.F90	(revision 1990)
@@ -69,11 +69,11 @@
 REAL(KIND=JPRB) :: RESTT
 ! Retire declarations de RALPW, RALPD et RALPS car deja dans YOMCST.h (MPL 20140212)
-!REAL(KIND=JPRB) :: RALPW
+REAL(KIND=JPRB) :: RALPW
 REAL(KIND=JPRB) :: RBETW
 REAL(KIND=JPRB) :: RGAMW
-!REAL(KIND=JPRB) :: RALPS
+REAL(KIND=JPRB) :: RALPS
 REAL(KIND=JPRB) :: RBETS
 REAL(KIND=JPRB) :: RGAMS
-!REAL(KIND=JPRB) :: RALPD
+REAL(KIND=JPRB) :: RALPD
 REAL(KIND=JPRB) :: RBETD
 REAL(KIND=JPRB) :: RGAMD
Index: DZ5/trunk/libf/phylmd/sisvat/YOMCST.F90
===================================================================
--- /LMDZ5/trunk/libf/phylmd/sisvat/YOMCST.F90	(revision 1989)
+++ 	(revision )
@@ -1,59 +1,0 @@
-MODULE YOMCST
-
-IMPLICIT NONE
-                !
-! $Header$
-!
-!  ATTENTION!!!!: ce fichier include est compatible format fixe/format libre
-!                 veillez à n'utiliser que des ! pour les commentaires
-!                 et à bien positionner les & des lignes de continuation
-!                 (les placer en colonne 6 et en colonne 73)
-!
-!
-! A1.0 Fundamental constants
-      REAL,PARAMETER :: RPI=3.141592653589793238462643e0,               &
-     &                  RCLUM=299792458.,   RHPLA=6.6260755E-34,        &
-     &                  RKBOL=1.380658E-23, RNAVO=6.0221367E+23
-
-! A1.1 Astronomical constants
-      REAL,PARAMETER :: RDAY=86400.,REA=149597870000.,REPSM=0.409093,   &
-     &        RSIYEA=365.25*RDAY*2.*RPI/6.283076,                       &
-     &        RSIDAY=RDAY/(1.+RDAY/RSIYEA), ROMEGA=2.*RPI/RSIDAY
-
-! A1.1.bis Constantes concernant l'orbite de la Terre:
-      REAL,PARAMETER :: R_ecc=0.016715,R_peri=102.7,R_incl=23.441
-
-! A1.2 Geoide
-      REAL,PARAMETER :: RG=9.80665, RA=6371229.,R1SA=1.D0/RA
-
-! A1.3 Radiation
-      REAL,PARAMETER :: RSIGMA = 2.*RPI**5 * (RKBOL/RHPLA)**3           &
-     &                   * RKBOL/RCLUM/RCLUM/15.
-!     REAL RSIGMA,RI0
-
-! A1.4 Thermodynamic gas phase
-      REAL,PARAMETER :: R=RNAVO*RKBOL, RMD=28.9644,    RMO3=47.9942,    &
-     &                  RMV=18.0153,   RD=1000.*R/RMD, RV=1000.*R/RMV,  &
-     &                  RCPD=3.5*RD,   RCVD=RCPD-RD,   RCPV=4. *RV,     &
-     &                  RCVV=RCPV-RV,  RKAPPA=RD/RCPD, RETV=RV/RD-1.
-! A1.5,6 Thermodynamic liquid,solid phases
-      REAL,PARAMETER :: RCW=RCPV,      RCS=RCPV
-
-! A1.7 Thermodynamic transition of phase
-      REAL,PARAMETER :: RTT=273.16,    RLVTT=2.5008E+6,RLSTT=2.8345E+6, &
-     &                  RLMLT=RLSTT-RLVTT,             RATM=100000.
-
-! A1.8 Curve of saturation
-      REAL,PARAMETER :: RESTT=611.14,  RGAMW=(RCW-RCPV)/RV,             &
-     &                  RBETW=RLVTT/RV+RGAMW*RTT,                       & 
-     &                  RGAMS=(RCS-RCPV)/RV,                            &    
-     &                  RBETS=RLSTT/RV+RGAMS*RTT,                       &  
-     &                  RGAMD=RGAMS-RGAMW, RBETD=RBETS-RBETW
-      REAL           :: RALPW,RALPS,RALPD
-
-!      RALPW = LOG(RESTT)+RBETW/RTT+RGAMW*LOG(RTT) 
-!      RALPS = LOG(RESTT)+RBETS/RTT+RGAMS*LOG(RTT) 
-!      RALPD = RALPS-RALPW 
-   
-
-END MODULE YOMCST
Index: /LMDZ5/trunk/libf/phylmd/sisvat/YOMCST_SISVAT.F90
===================================================================
--- /LMDZ5/trunk/libf/phylmd/sisvat/YOMCST_SISVAT.F90	(revision 1990)
+++ /LMDZ5/trunk/libf/phylmd/sisvat/YOMCST_SISVAT.F90	(revision 1990)
@@ -0,0 +1,59 @@
+MODULE YOMCST_SISVAT
+
+IMPLICIT NONE
+                !
+! $Header$
+!
+!  ATTENTION!!!!: ce fichier include est compatible format fixe/format libre
+!                 veillez à n'utiliser que des ! pour les commentaires
+!                 et à bien positionner les & des lignes de continuation
+!                 (les placer en colonne 6 et en colonne 73)
+!
+!
+! A1.0 Fundamental constants
+      REAL,PARAMETER :: RPI=3.141592653589793238462643e0,               &
+     &                  RCLUM=299792458.,   RHPLA=6.6260755E-34,        &
+     &                  RKBOL=1.380658E-23, RNAVO=6.0221367E+23
+
+! A1.1 Astronomical constants
+      REAL,PARAMETER :: RDAY=86400.,REA=149597870000.,REPSM=0.409093,   &
+     &        RSIYEA=365.25*RDAY*2.*RPI/6.283076,                       &
+     &        RSIDAY=RDAY/(1.+RDAY/RSIYEA), ROMEGA=2.*RPI/RSIDAY
+
+! A1.1.bis Constantes concernant l'orbite de la Terre:
+      REAL,PARAMETER :: R_ecc=0.016715,R_peri=102.7,R_incl=23.441
+
+! A1.2 Geoide
+      REAL,PARAMETER :: RG=9.80665, RA=6371229.,R1SA=1.D0/RA
+
+! A1.3 Radiation
+      REAL,PARAMETER :: RSIGMA = 2.*RPI**5 * (RKBOL/RHPLA)**3           &
+     &                   * RKBOL/RCLUM/RCLUM/15.
+!     REAL RSIGMA,RI0
+
+! A1.4 Thermodynamic gas phase
+      REAL,PARAMETER :: R=RNAVO*RKBOL, RMD=28.9644,    RMO3=47.9942,    &
+     &                  RMV=18.0153,   RD=1000.*R/RMD, RV=1000.*R/RMV,  &
+     &                  RCPD=3.5*RD,   RCVD=RCPD-RD,   RCPV=4. *RV,     &
+     &                  RCVV=RCPV-RV,  RKAPPA=RD/RCPD, RETV=RV/RD-1.
+! A1.5,6 Thermodynamic liquid,solid phases
+      REAL,PARAMETER :: RCW=RCPV,      RCS=RCPV
+
+! A1.7 Thermodynamic transition of phase
+      REAL,PARAMETER :: RTT=273.16,    RLVTT=2.5008E+6,RLSTT=2.8345E+6, &
+     &                  RLMLT=RLSTT-RLVTT,             RATM=100000.
+
+! A1.8 Curve of saturation
+      REAL,PARAMETER :: RESTT=611.14,  RGAMW=(RCW-RCPV)/RV,             &
+     &                  RBETW=RLVTT/RV+RGAMW*RTT,                       & 
+     &                  RGAMS=(RCS-RCPV)/RV,                            &    
+     &                  RBETS=RLSTT/RV+RGAMS*RTT,                       &  
+     &                  RGAMD=RGAMS-RGAMW, RBETD=RBETS-RBETW
+      REAL           :: RALPW,RALPS,RALPD
+
+!      RALPW = LOG(RESTT)+RBETW/RTT+RGAMW*LOG(RTT) 
+!      RALPS = LOG(RESTT)+RBETS/RTT+RGAMS*LOG(RTT) 
+!      RALPD = RALPS-RALPW 
+   
+
+END MODULE YOMCST_SISVAT
Index: /LMDZ5/trunk/libf/phylmd/sisvat/sisvat.F
===================================================================
--- /LMDZ5/trunk/libf/phylmd/sisvat/sisvat.F	(revision 1989)
+++ /LMDZ5/trunk/libf/phylmd/sisvat/sisvat.F	(revision 1990)
@@ -6983,5 +6983,5 @@
       USE VARxSV 
       USE VARphy
-      USE YOMCST
+      USE YOMCST_SISVAT
       USE indice_sol_mod
 
Index: /LMDZ5/trunk/libf/phylmd/sisvat/surf_sisvat_mod.F90
===================================================================
--- /LMDZ5/trunk/libf/phylmd/sisvat/surf_sisvat_mod.F90	(revision 1989)
+++ /LMDZ5/trunk/libf/phylmd/sisvat/surf_sisvat_mod.F90	(revision 1990)
@@ -99,5 +99,5 @@
     USE VARdCP
     USE VARphy, ra_earth=>ra
-    USE YOMCST              
+    USE YOMCST_SISVAT
                                         
     IMPLICIT NONE    
Index: /LMDZ5/trunk/makelmdz
===================================================================
--- /LMDZ5/trunk/makelmdz	(revision 1989)
+++ /LMDZ5/trunk/makelmdz	(revision 1990)
@@ -26,4 +26,5 @@
 cosp=false
 sisvat=false
+rrtm=false
 
 # guess a default 'arch'
@@ -177,4 +178,7 @@
           sisvat="$2" ; shift ; shift ;;
       
+      "-rrtm")
+          rrtm="$2" ; shift ; shift ;;
+      
       "-mem")
           paramem="mem" ; shift ;;
@@ -414,4 +418,9 @@
 then
    CPP_KEY="$CPP_KEY CPP_SISVAT"
+fi
+
+if [[ "$rrtm" == "true" ]]
+then
+   CPP_KEY="$CPP_KEY CPP_RRTM"
 fi
 
Index: /LMDZ5/trunk/makelmdz_fcm
===================================================================
--- /LMDZ5/trunk/makelmdz_fcm	(revision 1989)
+++ /LMDZ5/trunk/makelmdz_fcm	(revision 1990)
@@ -23,4 +23,5 @@
 veget=false
 sisvat=false
+rrtm=false
 chimie=false
 parallel=none
@@ -121,4 +122,7 @@
 	  sisvat="$2" ; shift ; shift ;;
 
+      "-rrtm")
+	  rrtm="$2" ; shift ; shift ;;
+
       "-chimie")
 	  chimie="$2" ; shift ; shift ;;
@@ -304,4 +308,11 @@
 fi
 
+if [[ "$rrtm" == "true" ]]
+then
+   CPP_KEY="$CPP_KEY CPP_RRTM"
+   sed -e 's/^#src::rrtm/src::rrtm/' bld.cfg > bld.tmp
+   mv bld.tmp bld.cfg
+fi
+
 if [[ $io == ioipsl ]]
 then
@@ -513,4 +524,8 @@
 mv bld.tmp bld.cfg
 
+#eventual cleanup for RRTM
+sed -e 's/^src::rrtm/#src::rrtm/' bld.cfg > bld.tmp
+mv bld.tmp bld.cfg
+
 
 if [[ -r $LIBFGCM/grid/dimensions.h ]]